summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-15 11:22:25 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-28 16:59:49 +0100
commit0e7aa587520399fcba122b4d91453bf4ec19e20d (patch)
treeb827325b29d992304d2108d94f72848ebec6fd90 /tests/tests
parent4fbbd8630238eb499848716c28a0e1c59886608b (diff)
test suite; New test forcesplit-overwrite
Still needs: * checking that we didn't move HEAD * checking HEAD tree is equal Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/forcesplit-overwrite15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/tests/forcesplit-overwrite b/tests/tests/forcesplit-overwrite
new file mode 100755
index 0000000..0afb5ce
--- /dev/null
+++ b/tests/tests/forcesplit-overwrite
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-setup-import examplegit
+
+cd example
+
+suite=stable
+
+t-commit 'No changes, just send to stable' '' stable
+
+t-dgit -wgf --split-view --overwrite=1.2 push-source stable
+
+t-ok